* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, SansSerif;
}



.text-primary {
    color: forestgreen;
}

.header-grid {

    background-color: black;
    display: grid;
    grid-template-columns: 8rem auto 3rem;
    grid-template-rows: minmax(70px, 70px) minmax(auto, auto);
    color: antiquewhite;
    align-items: center;
    justify-content: space-between;
    z-index: 2;
}

.logo {
    display: inline-block;
    text-decoration: none;
    color: antiquewhite;
    padding-left: 8px;
    font-weight: bold;
}

.filler {
    background-color: transparent;
    color: transparent;
    content: '';
    width: 100%;
}

.toggler {
    position: absolute;
    top: -200px;
}

.hamburger {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hamburger-icon {
    position: absolute;
    content: '';
    height: 2px;
    width: 1.6rem;
    background-color: antiquewhite;
}

.hamburger-icon:before {
    position: absolute;
    content: '';
    height: 2px;
    width: 1.6rem;
    top: -10px;
    background-color: antiquewhite;
}

.hamburger-icon:after {
    position: absolute;
    content: '';
    height: 2px;
    width: 1.6rem;
    top: 10px;
    background-color: antiquewhite;
}


.header-grid .menu {
    list-style: none;
    width: 100%;
    background-color: black;
    display: flex;
    height: 0px;
    overflow: hidden;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    grid-column: 1/-1;
    transition: all 1s ease-out;
}

.header-grid .menu .nav-item {
    padding: 2rem 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-grid .menu .nav-item:hover {
    color: #c76b29;
}

.header-grid .toggler:checked ~ .menu {
    height: 50vh;
    transition: all 1s ease-out;
}

.header-grid .toggler:checked ~ .hamburger .hamburger-icon {
    background-color: transparent;
}

.header-grid .toggler:checked ~ .hamburger .hamburger-icon:before {
    top:0px;
    transform: rotate(45deg);
}

.header-grid .toggler:checked ~ .hamburger .hamburger-icon:after {
    top:0px;
    transform: rotate(-45deg);
}

.hero {
    margin: 1rem 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url("./assets/pot-head-coffee-FTI10pjP344-unsplash.jpg") no-repeat center center/cover ;
    height: 80vh;
}

.hero h1 {
    color: antiquewhite;
    font-size: 3rem;
    padding: 1rem 0;
}

.hero h2 {
    color: antiquewhite;
    font-size: 2rem;
    padding: 1rem 0;
}

.btn {
    color:antiquewhite;
    text-decoration: none;
    display: block;
    padding: 1rem;
    border-radius: 5px;
    background-color: rgba(30,30,30,0.6);
}

.btn:hover {
    background-color: forestgreen;
}


.location {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.location h1 {
    font-size: 2rem;
    padding: 1rem 0;

}
.top {
    color: forestgreen;
    font-size: 1.5rem;
    padding: 1rem 0;
}

.map {
    width: 100%;
    padding: 2rem;
}

.location p {
    padding: 2rem
}

.flex-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.img-container {
    width: 95%;
    background-color: rgba(10,90,10,0.1);
    height: auto;
    margin: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    padding: 0 12px;
    height: 100%;
}

.img {
    padding-top: 8px;
    width: 100%;
    height: 240px;
    object-fit: contain;

}

.img-container p{
    margin: 1rem;
    text-align: center;
}

.weed_coffee {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.big_picture_container {
    display: none;
}

.row_img_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.thumb_nail {
    width: 100%;
    height: 100%;
}

.weed {
    margin-top: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
@media (min-width: 768px) {
    .flex-container {
        flex-direction: row;
    }

    .big_picture_container {
        display: block;
        width: 100%;
        padding: 0 12px;
        height: 680px;
    }

    .big_picture_container .big_picture {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 12px;
    }

    .row_img_container {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        width: 100%;
        padding: 4px 12px;
    }

    .thumb_nail_container {
        height: 360px;
        width: 280px;
        background-color: forestgreen;
        border-radius: 8px;
        margin: 1rem 3rem;
    }

    .flex-container_col {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}